%define api 5
%define oname qt5

%define module qttranslations

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.9.3
Release:	1
License:	LGPLv3+
Group:		System/Internationalization
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
Requires:	qt5-assistant-i18n
Requires:	qt5-designer-i18n
Requires:	qt5-linguist-i18n
Requires:	qt5-qmlviewer-i18n
Requires:	qt5-qtcore-i18n
Requires:	qt5-qtdeclarative-i18n
Requires:	qt5-qtmultimedia-i18n
Requires:	qt5-qtquick-i18n
Requires:	qt5-qtquickcontrols-i18n
Requires:	qt5-qtquickcontrols2-i18n
Requires:	qt5-qtscript-i18n
Requires:	qt5-qtwebengine-i18n
Requires:	qt5-qtwebsockets-i18n
Requires:	qt5-qtxmlpatterns-i18n
BuildArch:	noarch

%description
Version 5 of the Qt toolkit (%{module} packages).

%files

#----------------------------------------------------------------------------

%package -n %{oname}-assistant-i18n
Summary:	Qt 5 Assistant translations
Group:		System/Internationalization
Conflicts:	qt5-assistant < 5.6.0
BuildArch:	noarch

%description -n %{oname}-assistant-i18n
Qt 5 Assistant translations.

%files -n %{oname}-assistant-i18n
%lang(bg) %{_qt5_translationsdir}/assistant_bg.qm
%lang(cs) %{_qt5_translationsdir}/assistant_cs.qm
%lang(da) %{_qt5_translationsdir}/assistant_da.qm
%lang(de) %{_qt5_translationsdir}/assistant_de.qm
%lang(en) %{_qt5_translationsdir}/assistant_en.qm
%lang(es) %{_qt5_translationsdir}/assistant_es.qm
%lang(fr) %{_qt5_translationsdir}/assistant_fr.qm
%lang(hu) %{_qt5_translationsdir}/assistant_hu.qm
%lang(ja) %{_qt5_translationsdir}/assistant_ja.qm
%lang(ko) %{_qt5_translationsdir}/assistant_ko.qm
%lang(pl) %{_qt5_translationsdir}/assistant_pl.qm
%lang(ru) %{_qt5_translationsdir}/assistant_ru.qm
%lang(sk) %{_qt5_translationsdir}/assistant_sk.qm
%lang(sl) %{_qt5_translationsdir}/assistant_sl.qm
%lang(uk) %{_qt5_translationsdir}/assistant_uk.qm
%lang(zh_CN) %{_qt5_translationsdir}/assistant_zh_CN.qm
%lang(zh_TW) %{_qt5_translationsdir}/assistant_zh_TW.qm

#----------------------------------------------------------------------------

%package -n %{oname}-designer-i18n
Summary:	Qt 5 Designer translations
Group:		System/Internationalization
Conflicts:	qt5-designer < 5.6.0
BuildArch:	noarch

%description -n %{oname}-designer-i18n
Qt 5 Designer translations.

%files -n %{oname}-designer-i18n
%lang(bg) %{_qt5_translationsdir}/designer_bg.qm
%lang(cs) %{_qt5_translationsdir}/designer_cs.qm
%lang(da) %{_qt5_translationsdir}/designer_da.qm
%lang(de) %{_qt5_translationsdir}/designer_de.qm
%lang(en) %{_qt5_translationsdir}/designer_en.qm
%lang(es) %{_qt5_translationsdir}/designer_es.qm
%lang(fr) %{_qt5_translationsdir}/designer_fr.qm
%lang(hu) %{_qt5_translationsdir}/designer_hu.qm
%lang(ja) %{_qt5_translationsdir}/designer_ja.qm
%lang(ko) %{_qt5_translationsdir}/designer_ko.qm
%lang(pl) %{_qt5_translationsdir}/designer_pl.qm
%lang(ru) %{_qt5_translationsdir}/designer_ru.qm
%lang(sk) %{_qt5_translationsdir}/designer_sk.qm
%lang(sl) %{_qt5_translationsdir}/designer_sl.qm
%lang(uk) %{_qt5_translationsdir}/designer_uk.qm
%lang(zh_CN) %{_qt5_translationsdir}/designer_zh_CN.qm
%lang(zh_TW) %{_qt5_translationsdir}/designer_zh_TW.qm

#----------------------------------------------------------------------------

%package -n %{oname}-linguist-i18n
Summary:	Qt 5 Linguist translations
Group:		System/Internationalization
Conflicts:	qt5-linguist < 5.6.0
BuildArch:	noarch

%description -n %{oname}-linguist-i18n
Qt 5 Linguist translations.

%files -n %{oname}-linguist-i18n
%lang(bg) %{_qt5_translationsdir}/linguist_bg.qm
%lang(cs) %{_qt5_translationsdir}/linguist_cs.qm
%lang(da) %{_qt5_translationsdir}/linguist_da.qm
%lang(de) %{_qt5_translationsdir}/linguist_de.qm
%lang(en) %{_qt5_translationsdir}/linguist_en.qm
%lang(es) %{_qt5_translationsdir}/linguist_es.qm
%lang(fr) %{_qt5_translationsdir}/linguist_fr.qm
%lang(hu) %{_qt5_translationsdir}/linguist_hu.qm
%lang(ja) %{_qt5_translationsdir}/linguist_ja.qm
%lang(ko) %{_qt5_translationsdir}/linguist_ko.qm
%lang(pl) %{_qt5_translationsdir}/linguist_pl.qm
%lang(ru) %{_qt5_translationsdir}/linguist_ru.qm
%lang(sk) %{_qt5_translationsdir}/linguist_sk.qm
%lang(sl) %{_qt5_translationsdir}/linguist_sl.qm
%lang(uk) %{_qt5_translationsdir}/linguist_uk.qm
%lang(zh_CN) %{_qt5_translationsdir}/linguist_zh_CN.qm
%lang(zh_TW) %{_qt5_translationsdir}/linguist_zh_TW.qm

#----------------------------------------------------------------------------

%package -n %{oname}-qmlviewer-i18n
Summary:	Qt 5 QML Viewer translations
Group:		System/Internationalization
Conflicts:	qt5-qml-tools < 5.6.0
BuildArch:	noarch

%description -n %{oname}-qmlviewer-i18n
Qt 5 QML Viewer translations.

%files -n %{oname}-qmlviewer-i18n
%lang(bg) %{_qt5_translationsdir}/qmlviewer_bg.qm
%lang(cs) %{_qt5_translationsdir}/qmlviewer_cs.qm
%lang(da) %{_qt5_translationsdir}/qmlviewer_da.qm
%lang(en) %{_qt5_translationsdir}/qmlviewer_en.qm
%lang(es) %{_qt5_translationsdir}/qmlviewer_es.qm
%lang(fi) %{_qt5_translationsdir}/qmlviewer_fi.qm
%lang(fr) %{_qt5_translationsdir}/qmlviewer_fr.qm
%lang(he) %{_qt5_translationsdir}/qmlviewer_he.qm
%lang(hu) %{_qt5_translationsdir}/qmlviewer_hu.qm
%lang(ja) %{_qt5_translationsdir}/qmlviewer_ja.qm
%lang(ja) %{_qt5_translationsdir}/qmlviewer_ko.qm
%lang(pl) %{_qt5_translationsdir}/qmlviewer_pl.qm
%lang(ru) %{_qt5_translationsdir}/qmlviewer_ru.qm
%lang(sk) %{_qt5_translationsdir}/qmlviewer_sk.qm
%lang(uk) %{_qt5_translationsdir}/qmlviewer_uk.qm

#----------------------------------------------------------------------------

%package -n %{oname}-qtcore-i18n
Summary:	Qt 5 Core translations
Group:		System/Internationalization
Conflicts:	%{_lib}qt5core5 < 5.1.0-6
BuildArch:	noarch

%description -n %{oname}-qtcore-i18n
Qt 5 Core translations.

%files -n %{oname}-qtcore-i18n
%dir %{_qt5_translationsdir}
%lang(ar) %{_qt5_translationsdir}/qt_ar.qm
%lang(bg) %{_qt5_translationsdir}/qt_bg.qm
%lang(ca) %{_qt5_translationsdir}/qt_ca.qm
%lang(cs) %{_qt5_translationsdir}/qt_cs.qm
%lang(da) %{_qt5_translationsdir}/qt_da.qm
%lang(de) %{_qt5_translationsdir}/qt_de.qm
%lang(en) %{_qt5_translationsdir}/qt_en.qm
%lang(es) %{_qt5_translationsdir}/qt_es.qm
%lang(fa) %{_qt5_translationsdir}/qt_fa.qm
%lang(fi) %{_qt5_translationsdir}/qt_fi.qm
%lang(fr) %{_qt5_translationsdir}/qt_fr.qm
%lang(gl) %{_qt5_translationsdir}/qt_gl.qm
%lang(he) %{_qt5_translationsdir}/qt_he.qm
%lang(hu) %{_qt5_translationsdir}/qt_hu.qm
%lang(it) %{_qt5_translationsdir}/qt_it.qm
%lang(ja) %{_qt5_translationsdir}/qt_ja.qm
%lang(ko) %{_qt5_translationsdir}/qt_ko.qm
%lang(lt) %{_qt5_translationsdir}/qt_lt.qm
%lang(pl) %{_qt5_translationsdir}/qt_pl.qm
%lang(pt) %{_qt5_translationsdir}/qt_pt.qm
%lang(ru) %{_qt5_translationsdir}/qt_ru.qm
%lang(sk) %{_qt5_translationsdir}/qt_sk.qm
%lang(sl) %{_qt5_translationsdir}/qt_sl.qm
%lang(sv) %{_qt5_translationsdir}/qt_sv.qm
%lang(uk) %{_qt5_translationsdir}/qt_uk.qm
%lang(zh_CN) %{_qt5_translationsdir}/qt_zh_CN.qm
%lang(zh_TW) %{_qt5_translationsdir}/qt_zh_TW.qm
%lang(bg) %{_qt5_translationsdir}/qt_help_bg.qm
%lang(cs) %{_qt5_translationsdir}/qt_help_cs.qm
%lang(da) %{_qt5_translationsdir}/qt_help_da.qm
%lang(de) %{_qt5_translationsdir}/qt_help_de.qm
%lang(en) %{_qt5_translationsdir}/qt_help_en.qm
%lang(es) %{_qt5_translationsdir}/qt_help_es.qm
%lang(fr) %{_qt5_translationsdir}/qt_help_fr.qm
%lang(gl) %{_qt5_translationsdir}/qt_help_gl.qm
%lang(hu) %{_qt5_translationsdir}/qt_help_hu.qm
%lang(it) %{_qt5_translationsdir}/qt_help_it.qm
%lang(ja) %{_qt5_translationsdir}/qt_help_ja.qm
%lang(ko) %{_qt5_translationsdir}/qt_help_ko.qm
%lang(pl) %{_qt5_translationsdir}/qt_help_pl.qm
%lang(ru) %{_qt5_translationsdir}/qt_help_ru.qm
%lang(sk) %{_qt5_translationsdir}/qt_help_sk.qm
%lang(sl) %{_qt5_translationsdir}/qt_help_sl.qm
%lang(uk) %{_qt5_translationsdir}/qt_help_uk.qm
%lang(zh_CN) %{_qt5_translationsdir}/qt_help_zh_CN.qm
%lang(zh_TW) %{_qt5_translationsdir}/qt_help_zh_TW.qm
%lang(bg) %{_qt5_translationsdir}/qtbase_bg.qm
%lang(ca) %{_qt5_translationsdir}/qtbase_ca.qm
%lang(cs) %{_qt5_translationsdir}/qtbase_cs.qm
%lang(da) %{_qt5_translationsdir}/qtbase_da.qm
%lang(de) %{_qt5_translationsdir}/qtbase_de.qm
%lang(en) %{_qt5_translationsdir}/qtbase_en.qm
%lang(es) %{_qt5_translationsdir}/qtbase_es.qm
%lang(fi) %{_qt5_translationsdir}/qtbase_fi.qm
%lang(fr) %{_qt5_translationsdir}/qtbase_fr.qm
%lang(gd) %{_qt5_translationsdir}/qtbase_gd.qm
%lang(he) %{_qt5_translationsdir}/qtbase_he.qm
%lang(hu) %{_qt5_translationsdir}/qtbase_hu.qm
%lang(it) %{_qt5_translationsdir}/qtbase_it.qm
%lang(ja) %{_qt5_translationsdir}/qtbase_ja.qm
%lang(ko) %{_qt5_translationsdir}/qtbase_ko.qm
%lang(lv) %{_qt5_translationsdir}/qtbase_lv.qm
%lang(pl) %{_qt5_translationsdir}/qtbase_pl.qm
%lang(ru) %{_qt5_translationsdir}/qtbase_ru.qm
%lang(sk) %{_qt5_translationsdir}/qtbase_sk.qm
%lang(uk) %{_qt5_translationsdir}/qtbase_uk.qm
%lang(bg) %{_qt5_translationsdir}/qtconnectivity_bg.qm
%lang(da) %{_qt5_translationsdir}/qtconnectivity_da.qm
%lang(de) %{_qt5_translationsdir}/qtconnectivity_de.qm
%lang(en) %{_qt5_translationsdir}/qtconnectivity_en.qm
%lang(es) %{_qt5_translationsdir}/qtconnectivity_es.qm
%lang(ko) %{_qt5_translationsdir}/qtconnectivity_ko.qm
%lang(pl) %{_qt5_translationsdir}/qtconnectivity_pl.qm
%lang(ru) %{_qt5_translationsdir}/qtconnectivity_ru.qm
%lang(uk) %{_qt5_translationsdir}/qtconnectivity_uk.qm
%lang(bg) %{_qt5_translationsdir}/qtlocation_bg.qm
%lang(da) %{_qt5_translationsdir}/qtlocation_da.qm
%lang(de) %{_qt5_translationsdir}/qtlocation_de.qm
%lang(en) %{_qt5_translationsdir}/qtlocation_en.qm
%lang(es) %{_qt5_translationsdir}/qtlocation_es.qm
%lang(fr) %{_qt5_translationsdir}/qtlocation_fr.qm
%lang(ko) %{_qt5_translationsdir}/qtlocation_ko.qm
%lang(pl) %{_qt5_translationsdir}/qtlocation_pl.qm
%lang(ru) %{_qt5_translationsdir}/qtlocation_ru.qm
%lang(uk) %{_qt5_translationsdir}/qtlocation_uk.qm
%lang(de) %{_qt5_translationsdir}/qtserialport_de.qm
%lang(en) %{_qt5_translationsdir}/qtserialport_en.qm
%lang(es) %{_qt5_translationsdir}/qtserialport_es.qm
%lang(ja) %{_qt5_translationsdir}/qtserialport_ja.qm
%lang(ko) %{_qt5_translationsdir}/qtserialport_ko.qm
%lang(pl) %{_qt5_translationsdir}/qtserialport_pl.qm
%lang(ru) %{_qt5_translationsdir}/qtserialport_ru.qm
%lang(uk) %{_qt5_translationsdir}/qtserialport_uk.qm

#----------------------------------------------------------------------------

%package -n %{oname}-qtdeclarative-i18n
Summary:	Qt 5 Declarative translations
Group:		System/Internationalization
Conflicts:	%{_lib}qt5declarative5 < 5.1.0-6
BuildArch:	noarch

%description -n %{oname}-qtdeclarative-i18n
Qt 5 Declarative translations.

%files -n %{oname}-qtdeclarative-i18n
%lang(bg) %{_qt5_translationsdir}/qtdeclarative_bg.qm
%lang(da) %{_qt5_translationsdir}/qtdeclarative_da.qm
%lang(de) %{_qt5_translationsdir}/qtdeclarative_de.qm
%lang(en) %{_qt5_translationsdir}/qtdeclarative_en.qm
%lang(es) %{_qt5_translationsdir}/qtdeclarative_es.qm
%lang(fi) %{_qt5_translationsdir}/qtdeclarative_fi.qm
%lang(fr) %{_qt5_translationsdir}/qtdeclarative_fr.qm
%lang(ja) %{_qt5_translationsdir}/qtdeclarative_ja.qm
%lang(ko) %{_qt5_translationsdir}/qtdeclarative_ko.qm
%lang(lv) %{_qt5_translationsdir}/qtdeclarative_lv.qm
%lang(pl) %{_qt5_translationsdir}/qtdeclarative_pl.qm
%lang(ru) %{_qt5_translationsdir}/qtdeclarative_ru.qm
%lang(sk) %{_qt5_translationsdir}/qtdeclarative_sk.qm
%lang(uk) %{_qt5_translationsdir}/qtdeclarative_uk.qm

#----------------------------------------------------------------------------

%package -n %{oname}-qtmultimedia-i18n
Summary:	Qt 5 Multimedia translations
Group:		System/Internationalization
Conflicts:	%{_lib}qt5multimedia5 < 5.1.0-6
BuildArch:	noarch

%description -n %{oname}-qtmultimedia-i18n
Qt 5 Multimedia translations.

%files -n %{oname}-qtmultimedia-i18n
%lang(bg) %{_qt5_translationsdir}/qtmultimedia_bg.qm
%lang(ca) %{_qt5_translationsdir}/qtmultimedia_ca.qm
%lang(cs) %{_qt5_translationsdir}/qtmultimedia_cs.qm
%lang(da) %{_qt5_translationsdir}/qtmultimedia_da.qm
%lang(de) %{_qt5_translationsdir}/qtmultimedia_de.qm
%lang(en) %{_qt5_translationsdir}/qtmultimedia_en.qm
%lang(es) %{_qt5_translationsdir}/qtmultimedia_es.qm
%lang(fi) %{_qt5_translationsdir}/qtmultimedia_fi.qm
%lang(fr) %{_qt5_translationsdir}/qtmultimedia_fr.qm
%lang(hu) %{_qt5_translationsdir}/qtmultimedia_hu.qm
%lang(it) %{_qt5_translationsdir}/qtmultimedia_it.qm
%lang(ja) %{_qt5_translationsdir}/qtmultimedia_ja.qm
%lang(ko) %{_qt5_translationsdir}/qtmultimedia_ko.qm
%lang(pl) %{_qt5_translationsdir}/qtmultimedia_pl.qm
%lang(ru) %{_qt5_translationsdir}/qtmultimedia_ru.qm
%lang(sk) %{_qt5_translationsdir}/qtmultimedia_sk.qm
%lang(uk) %{_qt5_translationsdir}/qtmultimedia_uk.qm

#----------------------------------------------------------------------------

%package -n %{oname}-qtquick-i18n
Summary:	Qt 5 Quick translations
Group:		System/Internationalization
Conflicts:	%{_lib}qt5quick5 < 5.1.0-6
BuildArch:	noarch

%description -n %{oname}-qtquick-i18n
Qt 5 Quick translations.

%files -n %{oname}-qtquick-i18n
%lang(bg) %{_qt5_translationsdir}/qtquick1_bg.qm
%lang(ca) %{_qt5_translationsdir}/qtquick1_ca.qm
%lang(cs) %{_qt5_translationsdir}/qtquick1_cs.qm
%lang(da) %{_qt5_translationsdir}/qtquick1_da.qm
%lang(de) %{_qt5_translationsdir}/qtquick1_de.qm
%lang(en) %{_qt5_translationsdir}/qtquick1_en.qm
%lang(es) %{_qt5_translationsdir}/qtquick1_es.qm
%lang(fi) %{_qt5_translationsdir}/qtquick1_fi.qm
%lang(fr) %{_qt5_translationsdir}/qtquick1_fr.qm
%lang(he) %{_qt5_translationsdir}/qtquick1_he.qm
%lang(hu) %{_qt5_translationsdir}/qtquick1_hu.qm
%lang(it) %{_qt5_translationsdir}/qtquick1_it.qm
%lang(ja) %{_qt5_translationsdir}/qtquick1_ja.qm
%lang(ko) %{_qt5_translationsdir}/qtquick1_ko.qm
%lang(pl) %{_qt5_translationsdir}/qtquick1_pl.qm
%lang(ru) %{_qt5_translationsdir}/qtquick1_ru.qm
%lang(sk) %{_qt5_translationsdir}/qtquick1_sk.qm
%lang(uk) %{_qt5_translationsdir}/qtquick1_uk.qm

#----------------------------------------------------------------------------

%package -n %{oname}-qtquickcontrols-i18n
Summary:	Qt 5 Quick Controls translations
Group:		System/Internationalization
Conflicts:	%{_lib}qt5quick5 < 5.1.0-6
Conflicts:	qt5-qtquick-i18n < 5.6.0-2
BuildArch:	noarch

%description -n %{oname}-qtquickcontrols-i18n
Qt 5 Quick Controls translations.

%files -n %{oname}-qtquickcontrols-i18n
%lang(bg) %{_qt5_translationsdir}/qtquickcontrols_bg.qm
%lang(de) %{_qt5_translationsdir}/qtquickcontrols_de.qm
%lang(en) %{_qt5_translationsdir}/qtquickcontrols_en.qm
%lang(fi) %{_qt5_translationsdir}/qtquickcontrols_fi.qm
%lang(fr) %{_qt5_translationsdir}/qtquickcontrols_fr.qm
%lang(ja) %{_qt5_translationsdir}/qtquickcontrols_ja.qm
%lang(ru) %{_qt5_translationsdir}/qtquickcontrols_ru.qm
%lang(uk) %{_qt5_translationsdir}/qtquickcontrols_uk.qm

#----------------------------------------------------------------------------

%package -n %{oname}-qtquickcontrols2-i18n
Summary:	Qt 5 Quick Controls 2 translations
Group:		System/Internationalization
Conflicts:	qt5-qtquick-i18n < 5.6.0-2
BuildArch:	noarch

%description -n %{oname}-qtquickcontrols2-i18n
Qt 5 Quick Controls 2 translations.

%files -n %{oname}-qtquickcontrols2-i18n
%lang(bg) %{_qt5_translationsdir}/qtquickcontrols2_bg.qm
%lang(en) %{_qt5_translationsdir}/qtquickcontrols2_en.qm
%lang(ko) %{_qt5_translationsdir}/qtquickcontrols2_ko.qm
%lang(uk) %{_qt5_translationsdir}/qtquickcontrols2_uk.qm

#----------------------------------------------------------------------------

%package -n %{oname}-qtscript-i18n
Summary:	Qt 5 Script translations
Group:		System/Internationalization
Conflicts:	%{_lib}qt5script5 < 5.1.0-6
BuildArch:	noarch

%description -n %{oname}-qtscript-i18n
Qt 5 Script translations.

%files -n %{oname}-qtscript-i18n
%lang(bg) %{_qt5_translationsdir}/qtscript_bg.qm
%lang(ca) %{_qt5_translationsdir}/qtscript_ca.qm
%lang(cs) %{_qt5_translationsdir}/qtscript_cs.qm
%lang(da) %{_qt5_translationsdir}/qtscript_da.qm
%lang(de) %{_qt5_translationsdir}/qtscript_de.qm
%lang(en) %{_qt5_translationsdir}/qtscript_en.qm
%lang(es) %{_qt5_translationsdir}/qtscript_es.qm
%lang(fi) %{_qt5_translationsdir}/qtscript_fi.qm
%lang(fr) %{_qt5_translationsdir}/qtscript_fr.qm
%lang(he) %{_qt5_translationsdir}/qtscript_he.qm
%lang(hu) %{_qt5_translationsdir}/qtscript_hu.qm
%lang(it) %{_qt5_translationsdir}/qtscript_it.qm
%lang(ja) %{_qt5_translationsdir}/qtscript_ja.qm
%lang(ko) %{_qt5_translationsdir}/qtscript_ko.qm
%lang(lv) %{_qt5_translationsdir}/qtscript_lv.qm
%lang(pl) %{_qt5_translationsdir}/qtscript_pl.qm
%lang(ru) %{_qt5_translationsdir}/qtscript_ru.qm
%lang(sk) %{_qt5_translationsdir}/qtscript_sk.qm
%lang(uk) %{_qt5_translationsdir}/qtscript_uk.qm

#----------------------------------------------------------------------------

%package -n %{oname}-qtwebengine-i18n
Summary:	Qt 5 WebEngine translations
Group:		System/Internationalization
BuildArch:	noarch

%description -n %{oname}-qtwebengine-i18n
Qt 5 WebEngine translations.

%files -n %{oname}-qtwebengine-i18n
%lang(de) %{_qt5_translationsdir}/qtwebengine_de.qm
%lang(en) %{_qt5_translationsdir}/qtwebengine_en.qm
%lang(es) %{_qt5_translationsdir}/qtwebengine_es.qm
%lang(ko) %{_qt5_translationsdir}/qtwebengine_ko.qm
%lang(pl) %{_qt5_translationsdir}/qtwebengine_pl.qm
%lang(ru) %{_qt5_translationsdir}/qtwebengine_ru.qm
%lang(uk) %{_qt5_translationsdir}/qtwebengine_uk.qm

#----------------------------------------------------------------------------

%package -n %{oname}-qtwebsockets-i18n
Summary:	Qt 5 WebSockets translations
Group:		System/Internationalization
BuildArch:	noarch

%description -n %{oname}-qtwebsockets-i18n
Qt 5 WebSockets translations.

%files -n %{oname}-qtwebsockets-i18n
%lang(de) %{_qt5_translationsdir}/qtwebsockets_de.qm
%lang(en) %{_qt5_translationsdir}/qtwebsockets_en.qm
%lang(es) %{_qt5_translationsdir}/qtwebsockets_es.qm
%lang(fr) %{_qt5_translationsdir}/qtwebsockets_fr.qm
%lang(ja) %{_qt5_translationsdir}/qtwebsockets_ja.qm
%lang(ko) %{_qt5_translationsdir}/qtwebsockets_ko.qm
%lang(pl) %{_qt5_translationsdir}/qtwebsockets_pl.qm
%lang(ru) %{_qt5_translationsdir}/qtwebsockets_ru.qm
%lang(uk) %{_qt5_translationsdir}/qtwebsockets_uk.qm

#----------------------------------------------------------------------------

%package -n %{oname}-qtxmlpatterns-i18n
Summary:	Qt 5 XSLT engine translations
Group:		System/Internationalization
Conflicts:	%{_lib}qt5xmlpatterns5 < 5.1.0-6
BuildArch:	noarch

%description -n %{oname}-qtxmlpatterns-i18n
Qt 5 XSLT engine translations.

%files -n %{oname}-qtxmlpatterns-i18n
%lang(bg) %{_qt5_translationsdir}/qtxmlpatterns_bg.qm
%lang(ca) %{_qt5_translationsdir}/qtxmlpatterns_ca.qm
%lang(cs) %{_qt5_translationsdir}/qtxmlpatterns_cs.qm
%lang(da) %{_qt5_translationsdir}/qtxmlpatterns_da.qm
%lang(de) %{_qt5_translationsdir}/qtxmlpatterns_de.qm
%lang(en) %{_qt5_translationsdir}/qtxmlpatterns_en.qm
%lang(es) %{_qt5_translationsdir}/qtxmlpatterns_es.qm
%lang(fr) %{_qt5_translationsdir}/qtxmlpatterns_fr.qm
%lang(hu) %{_qt5_translationsdir}/qtxmlpatterns_hu.qm
%lang(it) %{_qt5_translationsdir}/qtxmlpatterns_it.qm
%lang(ja) %{_qt5_translationsdir}/qtxmlpatterns_ja.qm
%lang(ko) %{_qt5_translationsdir}/qtxmlpatterns_ko.qm
%lang(pl) %{_qt5_translationsdir}/qtxmlpatterns_pl.qm
%lang(ru) %{_qt5_translationsdir}/qtxmlpatterns_ru.qm
%lang(sk) %{_qt5_translationsdir}/qtxmlpatterns_sk.qm
%lang(uk) %{_qt5_translationsdir}/qtxmlpatterns_uk.qm

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make STRIP=true

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

# qtconfig doesn't exist anymore - we don't need its translations
rm -f %{buildroot}%{_qt5_translationsdir}/qtconfig_*.qm


%changelog

* Thu Nov 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (72390f7) New version 5.9.3


